package com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * 物资上报明细Entity
 * @author enford
 * @version 1.0
 */
public class MaterialReportDetails extends DataEntity<MaterialReportDetails> {
    /**
     * 上报地区
     * */
    private String reportingArea;
    /**
     * 储备项目名称
     * */
    private String nameOfReserve;
    /**
     * 物料编码
     * */
    private String materialCode;
    /**
     * 物料名称
     * */
    private String materialName;
    /**
     * 扩展编码
     * */
    private String extendedCoding;
    /**
     * 扩展描述
     * */
    private String extendedDescription;
    /**
     * 单位
     * */
    private String unit;
    /**
     * 总量
     * */
    private Double total;
    /**
     * 单重/kg
     * */
    private String unitWeight;
    /**
     * 总重/吨
     * */
    private String totalWeight;
    /**
     * 甲乙供
     * */
    private String supplied;

    /**
     * 利库数量
     * */
    private Double numberOfNiches;
    /**
     * 申请数量
     * */
    private Double numberOfApplications;

    /**
     * 本地利库详细
     */
    private List<MaterialDetails> localList;

    /**
     * 跨区利库详细
     * */
    private List<MaterialDetails> regionalList;


    /**
     * 本地以大代小利库
     * */
    private List<MaterialDetails> localRepList;

    /**
     * 跨区以大代小利库
     * */
    private List<MaterialDetails> regionalRepList;

    /**
     * 以大代小编号
     */
    private String replaceCode;
    /**
     * 以大代小扩展编号
     */
    private String replaceExCode;

    /**
     * 本地利库批次号
     * */
    private String localWareBatch;
    /**
     * 本地利库库存地
     * */
    private String localWareHouse;
    /**
     * 本地利库数量
     * */
    private String numberOfLocal;
    /**
     * 跨区利库批次号
     * */
    private String regionalBatch;
    /**
     * 跨区利库库存地
     * */
    private String regionalHouse;
    /**
     * 跨区利库数量
     * */
    private String numberOfRegional;

    /**
     * 合并规划利库批次号
     * */
    private String consolidatedBatch;
    /**
     * 合并规划利库库存地
     * */
    private String consolidatedWareHouse;
    /**
     * 合并规划利库数量
     * */
    private String numberOfConsolidated;


    /**
     * 本地以大代小利库型号
     * */
    private String localLiKuModel;
    /**
     * 本地以大代小利库批次号
     * */
    private String localLiKuBatch;
    /**
     * 本地以大代小利库库存地
     * */
    private String localLiKuWareHouse;
    /**
     * 本地以大代小利库数量
     * */
    private String numberOfLocalLiKu;
    /**
     * 跨区以大代小利库型号
     * */
    private String regionLiKuModel;
    /**
     * 跨区以大代小利库批次号
     * */
    private String regionLiKuBatch;
    /**
     * 跨区以大代小利库库存地
     * */
    private String regionLiKuWareHouse;
    /**
         * 跨区以大代小利库数量
     * */
    private String numberOfRegionalLiKu;

    /**
     * 合并以大代小规划利库型号
     * */
    private String conLocalModel;
    /**
     * 合并以大代小规划利库批次号
     * */
    private String conLocalBatch;
    /**
     * 合并以大代小规划利库库存地
     * */
    private String conLocalWareHouse;
    /**
     * 合并以大代小规划利库数量
     * */
    private String numberOfConLocal;

    private Double lengthOfMetre;//段长物资的长度（以米为单位）

    public Double getLengthOfMetre() {
        return lengthOfMetre;
    }

    public void setLengthOfMetre(Double lengthOfMetre) {
        this.lengthOfMetre = lengthOfMetre;
    }

    @ExcelField(title = "上报地区", align = 2, sort = 1)
    public String getReportingArea() {
        return reportingArea;
    }

    public void setReportingArea(String reportingArea) {
        this.reportingArea = reportingArea;
    }

    @ExcelField(title = "储备项目名称", align = 2, sort = 2)
    public String getNameOfReserve() {
        return nameOfReserve;
    }

    public void setNameOfReserve(String nameOfReserve) {
        this.nameOfReserve = nameOfReserve;
    }

    @ExcelField(title = "物料编码", align = 2, sort = 3)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料名称", align = 2, sort = 4)
    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @ExcelField(title = "扩展编码", align = 2, sort = 5)
    public String getExtendedCoding() {
        return extendedCoding;
    }

    public void setExtendedCoding(String extendedCoding) {
        this.extendedCoding = extendedCoding;
    }

    @ExcelField(title = "扩展描述", align = 2, sort = 6)
    public String getExtendedDescription() {
        return extendedDescription;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    @ExcelField(title = "单位", align = 2, sort = 7)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }


    @ExcelField(title = "总量", align = 2, sort = 8)
    public Double getTotal() {
        return total;
    }

    public void setTotal(Double total) {
        this.total = total;
    }

    @ExcelField(title = "单重/kg", align = 2, sort = 9)
    public String getUnitWeight() {
        return unitWeight;
    }

    public void setUnitWeight(String unitWeight) {
        this.unitWeight = unitWeight;
    }

    @ExcelField(title = "总重/吨", align = 2, sort = 10)
    public String getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(String totalWeight) {
        this.totalWeight = totalWeight;
    }

    @ExcelField(title = "甲乙供", align = 2, sort = 11)
    public String getSupplied() {
        return supplied;
    }

    public void setSupplied(String supplied) {
        this.supplied = supplied;
    }

    @Override
    public String getRemarks() {
        return super.getRemarks();
    }

    @Override
    public void setRemarks(String remarks) {
        super.setRemarks(remarks);
    }

    @ExcelField(title = "利库数量", align = 2, sort = 12)
    public Double getNumberOfNiches() {
        return numberOfNiches;
    }

    public void setNumberOfNiches(Double numberOfNiches) {
        this.numberOfNiches = numberOfNiches;
    }

    @ExcelField(title = "申请数量", align = 2, sort = 13)
    public Double getNumberOfApplications() {
        return numberOfApplications;
    }

    public void setNumberOfApplications(Double numberOfApplications) {
        this.numberOfApplications = numberOfApplications;
    }

    public List<MaterialDetails> getLocalList() {
        return localList;
    }

    public void setLocalList(List<MaterialDetails> localList) {
        this.localList = localList;
    }

    public List<MaterialDetails> getRegionalList() {
        return regionalList;
    }

    public void setRegionalList(List<MaterialDetails> regionalList) {
        this.regionalList = regionalList;
    }

    public List<MaterialDetails> getLocalRepList() {
        return localRepList;
    }

    public void setLocalRepList(List<MaterialDetails> localRepList) {
        this.localRepList = localRepList;
    }

    public List<MaterialDetails> getRegionalRepList() {
        return regionalRepList;
    }

    public void setRegionalRepList(List<MaterialDetails> regionalRepList) {
        this.regionalRepList = regionalRepList;
    }

    public String getReplaceCode() {
        return replaceCode;
    }

    public void setReplaceCode(String replaceCode) {
        this.replaceCode = replaceCode;
    }

    public String getReplaceExCode() {
        return replaceExCode;
    }

    public void setReplaceExCode(String replaceExCode) {
        this.replaceExCode = replaceExCode;
    }

    @ExcelField(title = "本地利库批次号", align = 2, sort = 14)
    public String getLocalWareBatch() {
        return localWareBatch;
    }

    public void setLocalWareBatch(String localWareBatch) {
        this.localWareBatch = localWareBatch;
    }

    @ExcelField(title = "本地利库库存地", align = 2, sort = 15)
    public String getLocalWareHouse() {
        return localWareHouse;
    }

    public void setLocalWareHouse(String localWareHouse) {
        this.localWareHouse = localWareHouse;
    }

    @ExcelField(title = "本地利库数量", align = 2, sort = 16)
    public String getNumberOfLocal() {
        return numberOfLocal;
    }

    public void setNumberOfLocal(String numberOfLocal) {
        this.numberOfLocal = numberOfLocal;
    }

    @ExcelField(title = "跨区利库批次号", align = 2, sort = 17)
    public String getRegionalBatch() {
        return regionalBatch;
    }

    public void setRegionalBatch(String regionalBatch) {
        this.regionalBatch = regionalBatch;
    }

    @ExcelField(title = "跨区利库库存地", align = 2, sort = 18)
    public String getRegionalHouse() {
        return regionalHouse;
    }

    public void setRegionalHouse(String regionalHouse) {
        this.regionalHouse = regionalHouse;
    }

    @ExcelField(title = "跨区利库数量", align = 2, sort = 19)
    public String getNumberOfRegional() {
        return numberOfRegional;
    }

    public void setNumberOfRegional(String numberOfRegional) {
        this.numberOfRegional = numberOfRegional;
    }

    @ExcelField(title = "合并规划利库批次号", align = 2, sort = 20)
    public String getConsolidatedBatch() {
        return consolidatedBatch;
    }

    public void setConsolidatedBatch(String consolidatedBatch) {
        this.consolidatedBatch = consolidatedBatch;
    }

    @ExcelField(title = "合并规划利库库存地", align = 2, sort = 21)
    public String getConsolidatedWareHouse() {
        return consolidatedWareHouse;
    }

    public void setConsolidatedWareHouse(String consolidatedWareHouse) {
        this.consolidatedWareHouse = consolidatedWareHouse;
    }

    @ExcelField(title = "合并规划利库数量", align = 2, sort = 22)
    public String getNumberOfConsolidated() {
        return numberOfConsolidated;
    }

    public void setNumberOfConsolidated(String numberOfConsolidated) {
        this.numberOfConsolidated = numberOfConsolidated;
    }

    @ExcelField(title = "本地以大代小利库型号", align = 2, sort = 23)
    public String getLocalLiKuModel() {
        return localLiKuModel;
    }

    public void setLocalLiKuModel(String localLiKuModel) {
        this.localLiKuModel = localLiKuModel;
    }

    @ExcelField(title = "本地以大代小利库批次号", align = 2, sort = 24)
    public String getLocalLiKuBatch() {
        return localLiKuBatch;
    }

    public void setLocalLiKuBatch(String localLiKuBatch) {
        this.localLiKuBatch = localLiKuBatch;
    }

    @ExcelField(title = "本地以大代小利库库存地", align = 2, sort = 25)
    public String getLocalLiKuWareHouse() {
        return localLiKuWareHouse;
    }

    public void setLocalLiKuWareHouse(String localLiKuWareHouse) {
        this.localLiKuWareHouse = localLiKuWareHouse;
    }

    @ExcelField(title = "本地以大代小利库数量", align = 2, sort = 26)
    public String getNumberOfLocalLiKu() {
        return numberOfLocalLiKu;
    }

    public void setNumberOfLocalLiKu(String numberOfLocalLiKu) {
        this.numberOfLocalLiKu = numberOfLocalLiKu;
    }

    @ExcelField(title = "跨区以大代小利库型号", align = 2, sort = 27)
    public String getRegionLiKuModel() {
        return regionLiKuModel;
    }

    public void setRegionLiKuModel(String regionLiKuModel) {
        this.regionLiKuModel = regionLiKuModel;
    }

    @ExcelField(title = "跨区以大代小利库批次号", align = 2, sort = 28)
    public String getRegionLiKuBatch() {
        return regionLiKuBatch;
    }

    public void setRegionLiKuBatch(String regionLiKuBatch) {
        this.regionLiKuBatch = regionLiKuBatch;
    }

    @ExcelField(title = "跨区以大代小利库库存地", align = 2, sort = 29)
    public String getRegionLiKuWareHouse() {
        return regionLiKuWareHouse;
    }

    public void setRegionLiKuWareHouse(String regionLiKuWareHouse) {
        this.regionLiKuWareHouse = regionLiKuWareHouse;
    }

    @ExcelField(title = "跨区以大代小利库数量", align = 2, sort = 30)
    public String getNumberOfRegionalLiKu() {
        return numberOfRegionalLiKu;
    }

    public void setNumberOfRegionalLiKu(String numberOfRegionalLiKu) {
        this.numberOfRegionalLiKu = numberOfRegionalLiKu;
    }

    @ExcelField(title = "合并以大代小规划利库型号", align = 2, sort = 31)
    public String getConLocalModel() {
        return conLocalModel;
    }

    public void setConLocalModel(String conLocalModel) {
        this.conLocalModel = conLocalModel;
    }

    @ExcelField(title = "合并以大代小规划利库批次号", align = 2, sort = 32)
    public String getConLocalBatch() {
        return conLocalBatch;
    }

    public void setConLocalBatch(String conLocalBatch) {
        this.conLocalBatch = conLocalBatch;
    }

    @ExcelField(title = "合并以大代小规划利库库存地", align = 2, sort = 33)
    public String getConLocalWareHouse() {
        return conLocalWareHouse;
    }

    public void setConLocalWareHouse(String conLocalWareHouse) {
        this.conLocalWareHouse = conLocalWareHouse;
    }

    @ExcelField(title = "合并以大代小规划利库数量", align = 2, sort = 34)
    public String getNumberOfConLocal() {
        return numberOfConLocal;
    }

    public void setNumberOfConLocal(String numberOfConLocal) {
        this.numberOfConLocal = numberOfConLocal;
    }
}
